# Balance Inquiry

This is a service for getting the latest balance amount from a Finpay account, the account will be using the customer phone number as an identifier.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 11
```

| Environment | Method | URL                                                  |
| ----------- | ------ | ---------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/balance-inquiry> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/balance-inquiry>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name      | Type   | Mandatory | Min Length | Max Length | Description                                                                                              |
| -- | --------- | ------ | --------- | ---------- | ---------- | -------------------------------------------------------------------------------------------------------- |
| 1  | accountNo | String | M         | 1          | 16         | Customer phone number with 08xx format, must be the same as the number that correlates with B2B2C token. |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "accountNo":"080012341234"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                                | Mandatory | Min Length | Max Length | Description                             |
| -- | --------------- | ------------------------------------------------------------------- | --------- | ---------- | ---------- | --------------------------------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md)   | M         | 1          | 7          | BI SNAP Response Code.                  |
| 2  | responseMessage | String                                                              | M         | 1          | 150        | BI SNAP Response Message.               |
| 3  | accountNo       | String                                                              | O         | 1          | 32         | Customer phone number from request body |
| 4  | name            | String                                                              | O         | 1          | 42         | Customer account name                   |
| 5  | accountInfos    | [Object](/api-reference/appendix/json-object/accouninfos-object.md) | O         | 1          | 3          | Detail of Account Info                  |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2001100",
  "responseMessage": "Request has been processed successfully",
  "accountNo": "082136393400",
  "name": "Testing Nandhief",
  "accountInfos": [
    {
      "availableBalance": {
        "value": "0.00",
        "currency": "IDR"
      },
      "registrationStatusCode": "0001"
    }
  ]
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

The table below lists response codes and messages for the Balance Inquiry API.

| No | HTTP Code | Code    | Message                         |
| -- | --------- | ------- | ------------------------------- |
| 1  | 200       | 2001100 | Successful                      |
| 2  | 400       | 4001100 | Bad request                     |
| 3  | 400       | 4001101 | Invalid field format {field}    |
| 4  | 400       | 4001102 | Invalid mandatory field {field} |
| 5  | 401       | 4011101 | Invalid token (B2B)             |
| 6  | 401       | 4011100 | Unauthorised. \[Reason]         |
| 7  | 403       | 4031101 | Feature not allowed             |
| 8  | 403       | 4031104 | Activity count limit exceeded   |
| 9  | 404       | 4041108 | Invalid merchant                |
| 10 | 500       | 5001100 | General error                   |
| 11 | 504       | 5041100 | Timeout                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/balance-inquiry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
